Page MenuHomePhabricator

Make the Reply tool's Special:Tags have links to a relevant page on each of the four partner wikis
Closed, ResolvedPublic

Description

Special:RecentChanges [1][2][3][4] and watchlist items say Tags: Reply Source at the end of each edit made with the Replying tool.

To help raise awareness of the Replying feature, we would like for the Reply change tag to link to a page with information about what the Reply tool is and how to turn it on.

Page components

See: T250539

Page links

The Reply change tag, at each of our four partner wikis should be linked as follows:

Done

  • The Reply change tag at each of our partner Wikipedias is linked to the destinations listed in the "Page links" section above.

  1. https://ar.wikipedia.org/wiki/%D8%AE%D8%A7%D8%B5:%D8%A3%D8%AD%D8%AF%D8%AB_%D8%A7%D9%84%D8%AA%D8%BA%D9%8A%D9%8A%D8%B1%D8%A7%D8%AA?hidebots=1&hidecategorization=1&hideWikibase=1&tagfilter=discussiontools-reply&limit=50&days=7&enhanced=1&urlversion=2
  2. https://nl.wikipedia.org/wiki/Speciaal:RecenteWijzigingen?hidebots=1&hidecategorization=1&hideWikibase=1&tagfilter=discussiontools-reply&limit=50&days=7&urlversion=2
  3. https://fr.wikipedia.org/wiki/Sp%C3%A9cial:Modifications_r%C3%A9centes?hidebots=1&hidecategorization=1&hideWikibase=1&tagfilter=discussiontools-reply&limit=50&days=7&urlversion=2
  4. https://hu.wikipedia.org/wiki/Speci%C3%A1lis:Friss_v%C3%A1ltoztat%C3%A1sok?hidebots=1&hidecategorization=1&hideWikibase=1&tagfilter=discussiontools-reply&limit=50&days=7&urlversion=2

References

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2020, 9:47 PM

If this needs to be done by local admins, then please let me know how to do it, and we'll figure it out on wiki.

You can edit the "display names" of tags as localisation messages, for example:

You can use wikitext links and other syntax in them.

All of the tags are listed on Special:Tags, which also provides direct links to edit them (if you're able to edit them, as an adminitrator / interface-editor on the wiki).

JTannerWMF added a subscriber: JTannerWMF.

Peter is going to add more in the description

ppelberg updated the task description. (Show Details)Apr 8 2020, 11:23 PM

Peter is going to add more in the description

The task description has been updated. This task will be ready to be worked on once @Whatamidoing-WMF and I have talked about it (we plan to do this tomorrow).

ppelberg updated the task description. (Show Details)Apr 8 2020, 11:25 PM
ppelberg updated the task description. (Show Details)
Esanders added a subscriber: Esanders.EditedApr 16 2020, 8:24 PM

I have the interface editing rights required to do this if necessary.

I have the interface editing rights required to do this if necessary.

Excellent, Ed. Please see: T250520

...This task will be ready to be worked on once @Whatamidoing-WMF and I have talked about it (we plan to do this tomorrow).

I am going to create the page the task description's "Page components" section describes.

Before that happens, we'd like for the "Reply" change tag on all four partner wikis to be linked to the MediaWiki page. This intermedia step is going to happen in this task: T250520

ppelberg claimed this task.Apr 17 2020, 7:44 PM
ppelberg updated the task description. (Show Details)Apr 17 2020, 11:46 PM

For the Dutch Wikipedia ideally you would link from recent changes to a page in Dutch on the Dutch Wikipedia in the Wikipedia: namespace. Some people really don't like when they are diverted to another project in another language with a community they don't know. That page could have a section on international collaboration with links to other projects and to mw.org.

We need a "default" page at MediaWiki.org – perhaps a basic Help: page. If someone volunteers to create and maintain a local page, then the link can be changed for that local wiki. Most small/tiny wikis will not want to create their own pages, but (e.g.,) the Arabic Wikipedia will probably want to have a local page.

... Most small/tiny wikis will not want to create their own pages, but (e.g.,) the Arabic Wikipedia will probably want to have a local page.

Definitely yes, a local page like this one will help community to feel that the tool is designed for them/their Wiki and to be confident they have a place where to get help and assistance in their language.

For the Dutch Wikipedia ideally you would link from recent changes to a page in Dutch on the Dutch Wikipedia in the Wikipedia: namespace.

Definitely yes, a local page like this one will help community to feel that the tool is designed for them/their Wiki and to be confident they have a place where to get help and assistance in their language.

Local pages in local languages are important...understood. Thank you for sharing this feedback with us, @AdHuikeshoven and @Dyolf77_WMF.

With the above in mind, we've created a page on mw.org containing the information we think is important for editors to see.

You can review this page here: https://www.mediawiki.org/wiki/Talk_pages_project/Beta_Features. [i]

We were thinking local wikis could then take the content from Talk pages project/Beta Feature and add it to a page on their wikis and add information to it as they see fit.[ii]

Next steps
I think @Whatamidoing-WMF had some ideas about what exactly could happen next.

In the meantime, @AdHuikeshoven and @Dyolf77_WMF: how does the above sound to you both?


i. See this ticket for additional context about the purpose of this page: T250539
ii. Like what @AdHuikeshoven described in T250539#6067697 and what @Dyolf77_WMF linked to in T249063#6073004.

ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
Dyolf77_WMF added a comment.EditedApr 22 2020, 11:46 PM

Sounds good for me too. The www.mediawiki.org/wiki/Talk_pages_project/Beta_Features page will be shared here.

Update: Done.

ppelberg updated the task description. (Show Details)Apr 24 2020, 8:52 PM

Excellent. Thank you, @AdHuikeshoven. I've added the link above to the task description.

Sounds good for me too. The www.mediawiki.org/wiki/Talk_pages_project/Beta_Features page will be shared here.

Update: Done.

The localized screenshots are wonderful. What a great idea! Thank you, @Dyolf77_WMF. I've added the link above to the task description.

Whatamidoing-WMF changed the task status from Open to Stalled.Apr 30 2020, 5:15 PM

This is blocked on T250520: Link Reply tool's Special:Tags to MediaWiki project page. We can't add the local links until there is some place to add them to.

Whatamidoing-WMF triaged this task as Medium priority.Apr 30 2020, 5:15 PM
ppelberg added a comment.EditedMay 8 2020, 8:14 PM

Next step

Lofhi added a comment.May 13 2020, 7:26 PM

I forgot this task. Done for frwiki.

Lofhi updated the task description. (Show Details)May 13 2020, 7:27 PM
Samat added a comment.May 17 2020, 9:04 PM

I didn't forget, but I understood by reading other tickets that it will be implemented differently now, and we will come back to this topic in the future, maybe with different conception and content. I am planning to create the local page soon, but please let me know if this task should be prioritized.

The superfluous local mediawiki messages MediaWiki:Tag-discussiontools-reply and MediaWiki:Discussiontools-reply-descriptionpagelink have just been deleted. Now https://nl.wikipedia.org/w/index.php?hidebots=1&hidecategorization=1&hideWikibase=1&limit=250&days=7&enhanced=1&damaging__likelybad_color=c4&damaging__verylikelybad_color=c5&title=Speciaal:RecenteWijzigingen&urlversion=2 shows "Reageerfunctie" as label when Discussion-tool has been used. However, without a link to https://nl.wikipedia.org/wiki/Wikipedia:Overleghulpmiddelen.

Esanders added a comment.EditedMay 19 2020, 2:35 PM

Thanks @AdHuikeshoven. It looks like due to the wmf32 train being reverted, the change to MediaWiki:Tag-discussiontools-reply in Dutch is out of date, so we'll need to fix it on-wiki until next week's release.

Edit: https://nl.wikipedia.org/wiki/MediaWiki:Tag-discussiontools-reply is fixed again, can be re-deleted when wmf32 is deployed.

@Esanders thanks, I checked, it works again

Samat updated the task description. (Show Details)May 25 2020, 10:40 PM
Whatamidoing-WMF closed this task as Resolved.May 27 2020, 7:30 PM

I think this is done. If you want to check, be sure to set your UI language to the local language (e.g., add &uselang=hu to the end of the URL). If your UI language is set to English, then you will get a link to https://www.mediawiki.org/wiki/Talk_pages_project/replying (which I believe is meant to be https://www.mediawiki.org/wiki/Talk_pages_project/Beta_Features soon, but that's a different ticket).

Samat updated the task description. (Show Details)May 27 2020, 9:48 PM